import Link from "next/link";
import { useRouter } from "next/router";
import React, { ReactNode } from "react";

import { Image } from "@/components/Image";
import { Title } from "@/components/Title";

import Content from "../../../content/resources/internships/resume.md";

import styles from "./resume.module.css";

export default function Resume() {
  return (
    <>
      <Title>Resume Tips</Title>
      <Internships>
        <Content />
      </Internships>
    </>
  );
}

export function Internships(props: { children: ReactNode }) {
  const router = useRouter();
  const path = router.pathname;
  return (
    <>
      <div className={styles.titleContainer}>
        <h1 className={styles.title}>Internship Guide and Resources</h1>
        <Image src="/images/advice.svg" className={styles.codey} />
      </div>
      <div className={styles.adviceBarContainer}>
        <Link href="/resources/internships/resume">
          <a
            className={
              path == "/resources/internships/resume"
                ? styles.currentAdvice
                : ""
            }
          >
            Creating Your Resume
          </a>
        </Link>
        <Link href="/resources/internships/interview">
          <a
            className={
              path == "/resources/internships/interview"
                ? styles.currentAdvice
                : ""
            }
          >
            Acing Your Interview
          </a>
        </Link>
        <Link href="/resources/internships/resources">
          <a
            className={
              path == "/resources/internships/resources"
                ? styles.currentAdvice
                : ""
            }
          >
            More Resources
          </a>
        </Link>
      </div>
      <div className={styles.content}>{props.children}</div>
    </>
  );
}
